import { _, __tla as __tla_0 } from "./CustomCard.vue_vue_type_script_setup_true_lang-374ERk20.js";
import { _ as k } from "./CustomTable.vue_vue_type_script_setup_true_lang-CVzOsXR0.js";
import { c as y } from "./columns-1dSLzo5A.js";
import { d as P, e as T, r as s, ay as b, ac as i, c as g, o as w, w as C, j as R, l as t, hn as B, g2 as I, __tla as __tla_1 } from "./index-9PRMimni.js";
import "./BasicForm-dL_oCSPM.js";
import "./Render.vue_vue_type_script_lang-DKUYY0Zw.js";
import "./SingleImageUpload-CNx4b9eC.js";
import "./ImageUpload.vue_vue_type_style_index_0_scoped_cb086928_lang-D-28kXvw.js";
import "./componentSetting-DVhNDBTO.js";
import "./ImageUpload-DUsnro3W.js";
import "./vuedraggable.umd-Co2xEC3p.js";
import "./BasicUpload.vue_vue_type_style_index_0_scoped_a4d0e930_lang-DxRbtP01.js";
import "./tabsView-BXskTdVh.js";
import "./BasicForm.vue_vue_type_style_index_0_scoped_b9e995ec_lang-CEvcLwxD.js";
import "./propTypes-CebMRUpe.js";
import "./BasicSelect-C_uwzMkE.js";
import "./BasicSelect.vue_vue_type_style_index_0_scoped_772d51cc_lang-Brp6PjEU.js";
import "./dictionary-BRse4lkf.js";
import "./index-DkvzUEqh.js";
import "./index-kKnqLkWM.js";
import "./AutoComplete-Dv1Bqed4.js";
import "./TreeSelect-BZh2DeCh.js";
import "./workbench-DEgqNpqd.js";
import "./useForm-CKmgcynv.js";
import "./usePageCache-DluHn7Yy.js";
import "./Flex-CTSf12gq.js";
import "./index-DatBjkM3.js";
import "./dateUtil-BtafrT1f.js";
import "./format-DgF6KtHk.js";
import "./helper-D9DF1oLX.js";
import "./find-D_h_aJYR.js";
import "./findIndex-BgUIH3i1.js";
import "./toInteger-DQeH-nF-.js";
import "./includes-DdMWPj0t.js";
let ir;
let __tla = Promise.all([
    (()=>{
        try {
            return __tla_0;
        } catch  {}
    })(),
    (()=>{
        try {
            return __tla_1;
        } catch  {}
    })()
]).then(async ()=>{
    ir = P({
        __name: "MyPendingTaskList",
        props: {
            componentItem: {},
            isEditable: {
                type: Boolean
            },
            searchParams: {},
            refreshComponent: {
                type: Boolean
            }
        },
        setup (p) {
            const c = p, e = T(), a = s(), o = s(), { myPendingTaskColumns: l } = y();
            b(()=>c.refreshComponent, (r)=>{
                i(()=>{
                    r && m(!0);
                });
            }, {
                immediate: !0
            });
            function u(r) {
                return {
                    style: "cursor: pointer",
                    onClick: ()=>{
                        if (!r.redirectLink) return;
                        const { params: n, path: h } = I(r.redirectLink);
                        e.push({
                            path: h,
                            query: n
                        });
                    }
                };
            }
            function d() {
                e.push({
                    name: "notice_myTask"
                });
            }
            function f(r) {
                o.value = r, m(!0);
            }
            function m(r) {
                i(()=>{
                    a.value?.handleGetData(r);
                });
            }
            return (r, n)=>(w(), g(_, {
                    componentItem: r.componentItem,
                    cardParams: t(o),
                    "show-transition": !1,
                    onFilter: f,
                    onShowAll: d
                }, {
                    default: C(()=>[
                            R(k, {
                                ref_key: "basicTableRef",
                                ref: a,
                                columns: t(l),
                                request: t(B),
                                params: {
                                    isHandled: 0,
                                    category: 2,
                                    ...r.searchParams || {},
                                    ...t(o) || {}
                                },
                                "row-props": u
                            }, null, 8, [
                                "columns",
                                "request",
                                "params"
                            ])
                        ]),
                    _: 1
                }, 8, [
                    "componentItem",
                    "cardParams"
                ]));
        }
    });
});
export { ir as default, __tla };
